import React, { useEffect } from 'react'
import { Switch } from 'antd'

const IsHidden = (props) => {

  const { value, onChange, addons } = props
  const { baseControl, checkedTxt, unCheckedTxt  } = props.schema  
  const switchChange = (checked) => {
    if (addons) {
      onChange(checked)
      // baseControl是否为基础组件，是则不做联动逻辑
      if(baseControl) return;

      if (checked) {
        addons.setValue('hiddenCondition', '1=1')
        addons.setValue('hiddenRules', [])
      } else {
        addons.setValue('hiddenCondition', '')
        addons.setValue('hiddenRules', [])
      }
    }
  }

  return (
    <Switch
      checked={value}
      checkedChildren={ checkedTxt || '隐藏'}
      unCheckedChildren={ unCheckedTxt || '显示'}
      onChange={switchChange}
    >
    </Switch>
  )

}

export default IsHidden